EMS-FLASHER(1)

NAME
ems-flasher - utility to flash EMS 64 Mbit USB Game Boy cartridge

SYNOPSIS
ems-flasher --read [--bank num] [--blocksize size] [--rom] [--save] [--verbose] romfile
ems-flasher --write [--bank num] [--blocksize size] [--rom] [--save] [--verbose] romfile
ems-flasher --title

DESCRIPTION
The ems-flasher utility reads data from or writes data to a EMS 64 Mbit USB Game Boy cartridge. One of the following flags is required:

--read
    read ROM/SRAM from cart

--write
    write ROM/SRAM to cart

--header
    print header of ROMs on cart to standard output

When in write or read mode, ems-flasher will automatically choose ROM versus SRAM based on the filename: if the filename ends in “.sav”, SRAM is assumed.

In read or write mode, the available options are as follows:

--bank
    Select cart bank (1 or 2).

--blocksize size
    Specify the blocksize in bytes. The default is 4096 for read, 32 for write.

--rom
    Force read/write of Flash ROM.

--save
    Force read/write of SRAM.

--verbose
    Display more information.

EXIT STATUS

EXAMPLES
Write the ROM to the cart:
    $ ems-flasher --write totally_legit_rom.gb

Save the contents of bank 2 into a file; print some extra info:
    $ ems-flasher --verbose --bank 2 --read not_warez.gb

Read the SRAM from bank 1:
    $ ems-flasher --read my_pokeymans.sav

Print out the headers:
    $ ems-flasher --title

AUTHORS
ems-flasher was written by Mike Ryan <web@lacklustre.net> and others.

HOMEPAGE
https://lacklustre.net/projects/ems-flasher/ https://github.com/mikeryan/ems-flasher